From: "Ionen Wolkens" <ionen@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: games-emulation/pcsx2_patches/
Date: Mon, 22 Jul 2024 07:01:57 +0000 (UTC) [thread overview]
Message-ID: <1721631637.b4dc82d93904c8f0cf6057163633df0f8be1803d.ionen@gentoo> (raw)
commit: b4dc82d93904c8f0cf6057163633df0f8be1803d
Author: Ionen Wolkens <ionen <AT> gentoo <DOT> org>
AuthorDate: Mon Jul 22 06:56:02 2024 +0000
Commit: Ionen Wolkens <ionen <AT> gentoo <DOT> org>
CommitDate: Mon Jul 22 07:00:37 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b4dc82d9
games-emulation/pcsx2_patches: add 0_p20240714
Signed-off-by: Ionen Wolkens <ionen <AT> gentoo.org>
games-emulation/pcsx2_patches/Manifest | 1 +
.../pcsx2_patches/pcsx2_patches-0_p20240714.ebuild | 55 ++++++++++++++++++++++
2 files changed, 56 insertions(+)
diff --git a/games-emulation/pcsx2_patches/Manifest b/games-emulation/pcsx2_patches/Manifest
index a8d79b2e2b45..d2f0ae820b4f 100644
--- a/games-emulation/pcsx2_patches/Manifest
+++ b/games-emulation/pcsx2_patches/Manifest
@@ -1 +1,2 @@
DIST pcsx2_patches-0_p20240610.tar.gz 674606 BLAKE2B 2b05728e0a2114fba1c12a2c075854a771127b87ba430d653c2a7e2ab85b9c30d67f14034717b75fe229b1a3f8b90cae63c840dec32665cebad9ae841a084764 SHA512 8db514d0677cdaa2d6c9fddae2fd8975a8af5d222544ec12ceb97a0da54a87ebeaad09989bd36c9a0ef2ac7a370f229c813f7a769ede8027e1c4b9b3ea928b66
+DIST pcsx2_patches-0_p20240714.tar.gz 675035 BLAKE2B 6ed77089ba630bfd37f9eb7372855ed638b8c8c5a9788b6a6ddcdcfff4e1d53b03fe7160c8bd7780ea13b9bd63a4cc7a2e1ac0410f447b1e17a42598d19fe348 SHA512 15f89e40944d56b301aa33235236898532a888af4f3c0f3527e6c98eb38039f6b7623b60c0aadb2f4a7a7b1bc325cb60f84b6d16b3d3066c0e924ff040ed8e50
diff --git a/games-emulation/pcsx2_patches/pcsx2_patches-0_p20240714.ebuild b/games-emulation/pcsx2_patches/pcsx2_patches-0_p20240714.ebuild
new file mode 100644
index 000000000000..fdf84ffdb9cb
--- /dev/null
+++ b/games-emulation/pcsx2_patches/pcsx2_patches-0_p20240714.ebuild
@@ -0,0 +1,55 @@
+# Copyright 2023-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..13} )
+inherit python-any-r1
+
+if [[ ${PV} == 9999 ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/PCSX2/pcsx2_patches.git"
+else
+ HASH_PCSX2_PATCHES=afb17c4d851c54f93d4249e1e1dc8c57e2d0e6c6
+ SRC_URI="
+ https://github.com/PCSX2/pcsx2_patches/archive/${HASH_PCSX2_PATCHES}.tar.gz
+ -> ${P}.tar.gz
+ "
+ S=${WORKDIR}/${PN}-${HASH_PCSX2_PATCHES}
+ KEYWORDS="~amd64"
+fi
+
+DESCRIPTION="Collection of game patches for use with PCSX2 (e.g. widescreen hacks)"
+HOMEPAGE="https://github.com/PCSX2/pcsx2_patches/"
+
+# these are normally distributed by upstream with PCSX2 which is GPL-3+
+LICENSE="GPL-3+"
+SLOT="0"
+
+BDEPEND="${PYTHON_DEPS}"
+
+src_compile() {
+ # upstream uses a constantly replaced "latest" patches.zip (currently no
+ # real releases), and github's .zip archives cannot be used either due to
+ # having the patches/ subdirectory -- so we use a snapshot and repack
+ # (could use app-arch/zip, but python is more likely to skip a dependency)
+ ebegin "Creating patches.zip"
+ "${PYTHON}" - <<-EOF
+ import pathlib
+ from zipfile import ZipFile, ZIP_DEFLATED
+
+ patches = pathlib.Path("patches/")
+
+ with ZipFile("patches.zip", "w", ZIP_DEFLATED, compresslevel=9) as archive:
+ for file in patches.iterdir():
+ archive.write(file, arcname=file.name)
+ EOF
+ eend ${?} || die
+}
+
+src_install() {
+ insinto /usr/lib/pcsx2/resources
+ doins patches.zip
+
+ einstalldocs
+}
next reply other threads:[~2024-07-22 7:02 UTC|newest]
Thread overview: 35+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-07-22 7:01 Ionen Wolkens [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-11-01 9:43 [gentoo-commits] repo/gentoo:master commit in: games-emulation/pcsx2_patches/ Ionen Wolkens
2024-11-01 9:43 Ionen Wolkens
2024-11-01 9:43 Ionen Wolkens
2024-11-01 9:43 Ionen Wolkens
2024-07-22 7:01 Ionen Wolkens
2024-07-22 7:01 Ionen Wolkens
2024-07-12 18:14 Sam James
2024-06-22 9:34 Ionen Wolkens
2024-06-22 9:34 Ionen Wolkens
2024-06-11 7:16 Joonas Niilola
2024-05-23 0:41 Ionen Wolkens
2024-05-23 0:41 Ionen Wolkens
2024-05-23 0:41 Ionen Wolkens
2024-04-22 7:26 Ionen Wolkens
2024-04-22 7:26 Ionen Wolkens
2024-04-22 7:26 Ionen Wolkens
2024-03-20 7:17 Ionen Wolkens
2024-01-17 14:45 Ionen Wolkens
2024-01-15 7:29 Ionen Wolkens
2024-01-08 12:59 Ionen Wolkens
2023-12-19 11:44 Ionen Wolkens
2023-12-19 11:44 Ionen Wolkens
2023-11-19 5:54 Ionen Wolkens
2023-10-25 7:58 Ionen Wolkens
2023-10-19 13:35 Ionen Wolkens
2023-10-19 13:35 Ionen Wolkens
2023-10-19 13:35 Ionen Wolkens
2023-09-19 11:36 Ionen Wolkens
2023-09-19 11:36 Ionen Wolkens
2023-09-12 16:15 Ionen Wolkens
2023-08-24 3:40 Ionen Wolkens
2023-08-06 4:32 Ionen Wolkens
2023-07-25 0:10 Ionen Wolkens
2023-06-24 4:14 Ionen Wolkens
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1721631637.b4dc82d93904c8f0cf6057163633df0f8be1803d.ionen@gentoo \
--to=ionen@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox